module Sound.File.Encode ( encode ) where

import qualified Data.ByteString.Lazy as B
import Data.List
import Sound.OpenSoundControl.Byte
import Sound.File.Encoding

interleave :: [[a]] -> [a]
interleave = concat . transpose

encodef32 :: [[Double]] -> B.ByteString
encodef32 = B.concat . map encode_f32 . interleave

encode :: Encoding -> [[Double]] -> B.ByteString
encode enc d =
    case enc of
      Float -> encodef32 d
      _ -> undefined
